
$(window).load(function () {
    $(".loading").fadeOut()

    // 返回上一级 视图处理
    C_keys_list = C_keys.split(",")
    if (C_keys_list.length <= 1){
        $("#v_back").hide();
    }else {
        $("#v_back").show();
    }

})

/****/
$(document).ready(function () {
    var whei = $(window).width()
    $("html").css({fontSize: whei / 20})
    $(window).resize(function () {
        var whei = $(window).width()
        $("html").css({fontSize: whei / 20})
    });
});

// 返回
function f_v_back() {
    C_keys_list = C_keys.split(",")
    C_keys_list.pop()
    document.location.href = "?T_key="+C_keys_list.join(",")
}

var V_kf_yd = 1
function f_kf_open() {
    $("#map_kf").css("opacity", 1);
    $("#v_trail").css("opacity", 0);
    $("#R_KF_Column").show();
    $("#R_YD_Column").hide();
    V_kf_yd = 1
    f_view()
}

function f_yd_open() {
    $("#map_kf").css("opacity", 0);
    $("#v_trail").css("opacity", 1);
    $("#R_KF_Column").hide();
    $("#R_YD_Column").show();
    V_kf_yd = 2
    f_view()
}

// 视图数据改变
function f_view() {
    // 地图加载
    if (V_kf_yd == 1) {
        f_v_map();
    }
    // 轨迹加载
    if (C_json.Device.T_移动总数 > 0 && V_kf_yd == 2) {
        f_v_trail()
    }

    // 屏蔽按钮
    if(C_json.Device.T_库房总数 == 0){
        $("#v_open_KF").hide();
    }
    if(C_json.Device.T_移动总数 == 0){
        $("#v_open_YD").hide();
    }

    $("#T_公司名称").html(C_json.Company_name + "-冷链药品质量安全智慧中台")
    $("title").html(C_json.Company_name + "-冷链药品质量安全智慧中台")

    // 设备类
    $("#T_终端总数").html(C_json.Device.T_库房总数 + C_json.Device.T_移动总数)
    $("#T_库房总数").html(C_json.Device.T_库房总数)
    $("#T_移动总数").html(C_json.Device.T_移动总数)

    $("#T_移动离线总数").html(C_json.Device.T_移动离线总数)
    $("#T_移动监控总数").html(C_json.Device.T_移动监控总数)

    // 报警类
    // $("#T_库房报警总数").html(C_json.Warning.T_库房报警总数)
    $("#T_库房未处理总数").html(C_json.Warning.T_库房未处理总数)
    $("#T_库房设备报警数_今天").html(C_json.Warning.T_库房设备报警数_今天)
    $("#T_库房报警设备数_今天").html(C_json.Warning.T_库房报警设备数_今天)
    // $("#T_库房设备报警数_昨天").html(C_json.Warning.T_库房设备报警数_昨天)
    // $("#T_库房设备报警数_近7天").html(C_json.Warning.T_库房设备报警数_近7天)
    // $("#T_库房设备报警数_本月").html(C_json.Warning.T_库房设备报警数_本月)
    // $("#T_库房设备报警数_上一月").html(C_json.Warning.T_库房设备报警数_上一月)

    // $("#T_移动警数总数").html(C_json.Warning.T_移动警数总数)
    $("#T_移动未处理总数").html(C_json.Warning.T_移动未处理总数)
    $("#T_移动设备报警数_今天").html(C_json.Warning.T_移动设备报警数_今天)
    // $("#T_移动设备报警数_昨天").html(C_json.Warning.T_移动设备报警数_昨天)
    // $("#T_移动设备报警数_近7天").html(C_json.Warning.T_移动设备报警数_近7天)
    // $("#T_移动设备报警数_本月").html(C_json.Warning.T_移动设备报警数_本月)
    // $("#T_移动设备报警数_上一月").html(C_json.Warning.T_移动设备报警数_上一月)

    w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / (C_json.Device.T_库房总数)
        w_x_ *= 100
    }
    $("#T_今日库房报警率").html(w_x_.toFixed(1) + "%")


    $("#T_今日报警总数").html(parseInt(C_json.Warning.T_库房设备报警数_今天) + parseInt(C_json.Warning.T_移动设备报警数_今天))
    w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天) + parseInt(C_json.Warning.T_移动报警设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / (C_json.Device.T_库房总数 + C_json.Device.T_移动总数)
        w_x_ *= 100
    }
    $("#T_今日报警率").html(w_x_.toFixed(1) + "%")
    // $("#T_今日报警率").html(parseInt(w_x_) + "%")
    $("#T_今日未处理总数").html(parseInt(C_json.Warning.T_库房未处理总数) + parseInt(C_json.Warning.T_移动未处理总数))

    // 任务类
    $("#T_任务总数_今天").html(C_json.Task.T_任务总数_今天)
    // $("#T_任务总数_昨天").html(C_json.Task.T_任务总数_昨天)
    // $("#T_任务总数_近7天").html(C_json.Task.T_任务总数_近7天)
    // $("#T_任务总数_本月").html(C_json.Task.T_任务总数_本月)
    // $("#T_任务总数_上一月").html(C_json.Task.T_任务总数_上一月)

    $("#T_任务设备数_今天").html(C_json.Task.T_任务设备数_今天)
    // $("#T_任务设备数_昨天").html(C_json.Task.T_任务设备数_昨天 )
    // $("#T_任务设备数_近7天").html(C_json.Task.T_任务设备数_近7天)
    // $("#T_任务设备数_本月").html(C_json.Task.T_任务设备数_本月 )
    // $("#T_任务设备数_上一月").html(C_json.Task.T_任务设备数_上一月)

    w_x_ = parseInt(C_json.Task.T_任务设备数_今天)
    if (w_x_ != 0) {
        w_x_ = w_x_ / C_json.Device.T_移动总数
        w_x_ *= 100
    }
    $("#T_今日闲置设备").html(w_x_.toFixed(1) + "%")

    // 中间 视图显示
    if (V_kf_yd == 1) {
        // 库房端
        $("#T_C_1").html(f_Company_Next_公司下一级统计(C_json))// 公司下一级统计
        $("#T_C_2").html(C_json.Warning.T_库房设备报警数_今天)// 公司下一级统计
        w_x_ = parseInt(C_json.Warning.T_库房报警设备数_今天)
        if (w_x_ != 0) {
            w_x_ = w_x_ / C_json.Device.T_库房总数
            w_x_ *= 100
        }
        $("#T_C_3").html(w_x_.toFixed(1) + "%")// 公司下一级统计

        $("#T_Cn_1").html("公司/门店 数量")
        $("#T_Cn_2").html("今日库房报警次数")
        $("#T_Cn_3").html("今日库房报警率")

    } else {
        // 移动端
        $("#T_C_1").html(f_Company_Next_公司下一级统计(C_json))// 公司下一级统计
        $("#T_C_2").html(C_json.Device.T_移动监控总数)// 公司下一级统计
        w_x_ = parseInt(C_json.Warning.T_移动报警设备数_今天)
        if (w_x_ != 0) {
            w_x_ = w_x_ / C_json.Device.T_移动总数
            w_x_ *= 100
        }
        $("#T_C_3").html(w_x_.toFixed(1) + "%")// 公司下一级统计

        $("#T_Cn_1").html("公司/门店 数量")
        $("#T_Cn_2").html("监控总数")
        $("#T_Cn_3").html("今日移动端报警率")

    }

    // 报警统计
    try {
        $('#Company_Next_WarningG').liMarquee('destroy'); // 清除滚动
    }
    catch (e) {
        alert(e);
    }
    $("#Company_Next_WarningG").html("<ul id=\"Company_Next_WarningL\"></ul>")// 清除内容
    Company_Next_W_l = []
    f_Company_Next_报警统计(C_json)
    Company_Next_W_l_r = Company_Next_W_l.sort((a, b) => b.Warning - a.Warning);
    for (var C_key in Company_Next_W_l_r){
        C_b = Company_Next_W_l_r[C_key]
        $("#Company_Next_WarningL").append("<li><p><span>" + C_b.name + "</span><span>" + (C_b.Device) + "</span><span>" + C_b.Warning + "%</span></p></li>")
    }
    // 开始滚动
    // $('#Company_Next_WarningG').liMarquee({
    //     direction: 'up',//身上滚动
    //     runshort: false,//内容不足时不滚动
    //     scrollamount: 20//速度
    // });

    // console.log("Company_Next_W_l:", Company_Next_W_l)
    // 图表
    echarts_报警设备数近7天曲线图()
    echarts_设备报警率排名()
    if (V_kf_yd == 1) {
        echarts_库房端报警类型统计()
    } else {
        echarts_移动端任务曲线图()
    }

    // 任务统计
    $('#Company_Next_TaskG').liMarquee('destroy'); // 清除滚动
    $("#Company_Next_TaskG").html("<ul id=\"Company_Next_TaskL\"></ul>")// 清除内容
    Company_Next_T_l = []
    f_Company_Next_任务统计(C_json)
    Company_Next_T_l_r = Company_Next_T_l.sort((a, b) => b.Task - a.Task);

    for (var C_key in Company_Next_T_l_r){
        C_b = Company_Next_T_l_r[C_key]
        $("#Company_Next_TaskL").append("<li><p><span>" + C_b.name + "</span><span>" + (C_b.Task) + "</span><span>" + C_b.DeviceT.toFixed(1) + "%</span></p></li>")

    }
    // 开始滚动
    // $('#Company_Next_TaskG').liMarquee({
    //     direction: 'up',//身上滚动
    //     runshort: false,//内容不足时不滚动
    //     scrollamount: 20//速度
    // });
}


// 公司下一级统计
Company_Next_W_l = []

function f_Company_Next_报警统计(C_j) {
    for (var C_key in C_j.Children) {
        C_b = C_j.Children[C_key]
        f_Company_Next_报警统计(C_b)
        if (C_b.Children.length != 0) continue;
        Warning = 0
        if (C_b.Warning.T_库房报警设备数_今天 > 0) {
            Warning = parseInt((C_b.Device.T_库房总数 + C_b.Device.T_移动总数) / C_b.Warning.T_库房报警设备数_今天)
        }
        // console.log({"name":C_b.Company_name,"Device":C_b.Device.T_库房总数+C_b.Device.T_移动总数,"Warning": Warning})

        Company_Next_W_l.push({
            "name": C_b.Company_name,
            "Device": C_b.Device.T_库房总数 + C_b.Device.T_移动总数,
            "Warning": Warning
        })
    }

}

// 公司下一级任务统计
Company_Next_T_l = []

function f_Company_Next_任务统计(C_j) {

    for (var C_key in C_j.Children) {
        C_b = C_j.Children[C_key]
        f_Company_Next_任务统计(C_b)
        if (C_b.Children.length != 0) continue;
        // console.log({"name":C_b.Company_name,"Device":C_b.Device.T_库房总数+C_b.Device.T_移动总数,"Warning": Warning})
        T_x_ = C_b.Task.T_任务设备数_今天
        if(T_x_ != 0){
            T_x_ = T_x_ / C_json.Device.T_移动总数
            T_x_ *= 100
        }

        Company_Next_T_l.push({
            "name": C_b.Company_name,
            "Task": C_b.Task.T_任务总数_今天,
            "DeviceT": T_x_.toFixed(1) + "%"
        })

    }

}

// 公司下一级统计
function f_Company_Next_公司下一级统计(C_j) {
    var Company_Next_num = 0
    for (var C_key in C_j.Children) {
        C_b = C_j.Children[C_key]
        Company_Next_num += f_Company_Next_公司下一级统计(C_b)
        if (C_b.Children.length != 0) continue;
        Company_Next_num += 1

    }
    return Company_Next_num
}

// 设备报警率占比
function echarts_报警设备数近7天曲线图() {
    var myChart = echarts.init(document.getElementById('echarts_报警设备数近7天曲线图'));
    xAxis_data = []
    yAxis_data = []

    for (var C_key in C_json.Warning.T_报警设备数_近7天) {
        C_b = C_json.Warning.T_报警设备数_近7天[C_key]

        xAxis_data.push(C_key)
        yAxis_data.push(C_b)

    }
    option = {
        // legend: {
        //     icon:"circle",
        //     top: "0",
        //     width:'100%',
        //     right: 'center',
        //     itemWidth: 10,
        //     itemHeight: 10,
        //     data: ['库房端'],
        //     textStyle: {
        //         color: "rgba(255,255,255,.5)" },
        // },

        tooltip: {
            trigger: 'axis',
            axisPointer: {
                lineStyle: {
                    color: '#dddc6b'
                }
            }
        },
        grid: {
            left: '0',
            top: '5',
            right: '15',
            bottom: '0',
            containLabel: true
        },

        xAxis: [{
            type: 'category',
            boundaryGap: false,
            axisLabel:  {
                textStyle: {
                    color: "rgba(255,255,255,.5)",
                    //  fontSize:10
                },
            },
            axisLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)'
                }
            },
            data: xAxis_data

        }, {

            axisPointer: {show: false},
            axisLine: {  show: false},
            position: 'bottom',
            offset: 20,

        }],
        yAxis: [{
            type: 'value',
            axisTick: {show: false},
            splitNumber: 4,
            axisLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)'
                }
            },
            axisLabel:  {
                textStyle: {
                    color: "rgba(255,255,255,.5)",
                    //fontSize:10
                },
            },

            splitLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)',
                    type: 'dotted',
                }
            }
        }],
        series: [
            {
                name: '库房端',
                type: 'line',
                smooth: true,
                symbol: 'circle',
                symbolSize: 5,
                showSymbol: false,
                lineStyle: {
                    normal: {
                        color: 'rgba(31, 174, 234, 1)',
                        width: 2
                    }
                },
                areaStyle: {
                    normal: {
                        color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                            offset: 0,
                            color: 'rgba(31, 174, 234, 0.4)'
                        }, {
                            offset: 0.8,
                            color: 'rgba(31, 174, 234, 0.1)'
                        }], false),
                        shadowColor: 'rgba(0, 0, 0, 0.1)',
                    }
                },
                itemStyle: {
                    normal: {
                        color: '#1f7eea',
                        borderColor: 'rgba(31, 174, 234, .1)',
                        borderWidth: 5
                    }
                },
                data: yAxis_data

            },
            // {
            //     name: '移动端',
            //     type: 'line',
            //     smooth: true,
            //     symbol: 'circle',
            //     symbolSize: 5,
            //     showSymbol: false,
            //     lineStyle: {
            //
            //         normal: {
            //             color: '#6bdd9b',
            //             width: 2
            //         }
            //     },
            //     areaStyle: {
            //         normal: {
            //             color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
            //                 offset: 0,
            //                 color: 'rgba(107, 221, 155, 0.4)'
            //             }, {
            //                 offset: 0.8,
            //                 color: 'rgba(107, 221, 155, 0.1)'
            //             }], false),
            //             shadowColor: 'rgba(0, 0, 0, 0.1)',
            //         }
            //     },
            //     itemStyle: {
            //         normal: {
            //             color: '#6bdd9b',
            //             borderColor: 'rgba(107, 221, 155, .1)',
            //             borderWidth: 5
            //         }
            //     },
            //     data: [ 5, 3, 7, 1, 8, 3, 5]
            //
            // },
        ]

    };


    myChart.setOption(option);
    window.addEventListener("resize", function () {
        myChart.resize();
    });
    $(".sebtn a").click(function () {
        $(this).addClass("active").siblings().removeClass("active")
    })
    $(".sebtn a").eq(0).click(function () {
        myChart.setOption(option1);
    })
    $(".sebtn a").eq(1).click(function () {
        myChart.setOption(option2);
    })
    $(".sebtn a").eq(2).click(function () {
        myChart.setOption(option3);
    })

}


// 设备报警率占比
function echarts_设备报警率排名() {
    var myChart = echarts.init(document.getElementById('echarts_设备报警率排名'));
    // option = {
    //     legend: {
    //         icon:"circle",
    //         top: "0",
    //         width:'100%',
    //         right: 'center',
    //         itemWidth: 10,
    //         itemHeight: 10,
    //         data: ['库房端', '移动端'],
    //         textStyle: {
    //             color: "rgba(255,255,255,.5)" },
    //     },
    //
    //     tooltip: {
    //         trigger: 'axis',
    //         axisPointer: {
    //             lineStyle: {
    //                 color: '#dddc6b'
    //             }
    //         }
    //     },
    //     grid: {
    //         left: '0',
    //         top: '30',
    //         right: '10',
    //         bottom: '-15',
    //         containLabel: true
    //     },
    //
    //     xAxis: [{
    //         type: 'category',
    //         boundaryGap: false,
    //         axisLabel:  {
    //             textStyle: {
    //                 color: "rgba(255,255,255,.5)",
    //                 //  fontSize:10
    //             },
    //         },
    //         axisLine: {
    //             lineStyle: {
    //                 color: 'rgba(255,255,255,.1)'
    //             }
    //         },
    //         data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日']
    //
    //     }, {
    //
    //         axisPointer: {show: false},
    //         axisLine: {  show: false},
    //         position: 'bottom',
    //         offset: 20,
    //
    //
    //
    //     }],
    //
    //     yAxis: [{
    //         type: 'value',
    //         axisTick: {show: false},
    //         splitNumber: 4,
    //         axisLine: {
    //             lineStyle: {
    //                 color: 'rgba(255,255,255,.1)'
    //             }
    //         },
    //         axisLabel:  {
    //             textStyle: {
    //                 color: "rgba(255,255,255,.5)",
    //                 //fontSize:10
    //             },
    //         },
    //
    //         splitLine: {
    //             lineStyle: {
    //                 color: 'rgba(255,255,255,.1)',
    //                 type: 'dotted',
    //             }
    //         }
    //     }],
    //     series: [
    //         {
    //             name: '库房端',
    //             type: 'line',
    //             smooth: true,
    //             symbol: 'circle',
    //             symbolSize: 5,
    //             showSymbol: false,
    //             lineStyle: {
    //
    //                 normal: {
    //                     color: 'rgba(31, 174, 234, 1)',
    //                     width: 2
    //                 }
    //             },
    //             areaStyle: {
    //                 normal: {
    //                     color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
    //                         offset: 0,
    //                         color: 'rgba(31, 174, 234, 0.4)'
    //                     }, {
    //                         offset: 0.8,
    //                         color: 'rgba(31, 174, 234, 0.1)'
    //                     }], false),
    //                     shadowColor: 'rgba(0, 0, 0, 0.1)',
    //                 }
    //             },
    //             itemStyle: {
    //                 normal: {
    //                     color: '#1f7eea',
    //                     borderColor: 'rgba(31, 174, 234, .1)',
    //                     borderWidth: 5
    //                 }
    //             },
    //             data: [3, 6, 3, 6, 3, 9, 3]
    //
    //         },
    //         {
    //             name: '移动端',
    //             type: 'line',
    //             smooth: true,
    //             symbol: 'circle',
    //             symbolSize: 5,
    //             showSymbol: false,
    //             lineStyle: {
    //
    //                 normal: {
    //                     color: '#6bdd9b',
    //                     width: 2
    //                 }
    //             },
    //             areaStyle: {
    //                 normal: {
    //                     color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
    //                         offset: 0,
    //                         color: 'rgba(107, 221, 155, 0.4)'
    //                     }, {
    //                         offset: 0.8,
    //                         color: 'rgba(107, 221, 155, 0.1)'
    //                     }], false),
    //                     shadowColor: 'rgba(0, 0, 0, 0.1)',
    //                 }
    //             },
    //             itemStyle: {
    //                 normal: {
    //                     color: '#6bdd9b',
    //                     borderColor: 'rgba(107, 221, 155, .1)',
    //                     borderWidth: 5
    //                 }
    //             },
    //             data: [ 5, 3, 7, 1, 8, 3, 5]
    //
    //         },
    //     ]
    //
    // };
    yAxis_data = []
    series_data = []
    Company_Next_W_l_ = Company_Next_W_l.sort((a, b) => a.Warning - b.Warning).slice(-10);

    for (var C_key in Company_Next_W_l_) {
        C_b = Company_Next_W_l_[C_key]
        if(C_b.Warning > 0){
            yAxis_data.push(C_b.name)
            series_data.push(C_b.Warning)
        }

    }

    option = {
        // title: {
        //     text: 'World Population'
        // },
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'shadow'
            }
        },
        // legend: {},
        grid: {
            top: '0%',
            left: '0%',
            right: '0%',
            bottom: '0%',
            containLabel: true
        },
        xAxis: {
            type: 'value',
            boundaryGap: [0, 0.01],
            show: false
        },
        yAxis: {
            type: 'category',
            data: yAxis_data
        },
        series: [
            {
                name: '报警率',
                type: 'bar',
                itemStyle: {
                    color: new echarts.graphic.LinearGradient(1, 0, 0, 0, [
                        { offset: 0, color: '#596db0' },
                        { offset: 0.5, color: '#4a63b4' },
                        { offset:1, color: '#435eb7' }
                    ])
                },

                data: series_data
            }
        ]
    };
    // option = {
    //     legend: {
    //         icon: "circle",
    //         top: "0",
    //         width: '100%',
    //         right: 'center',
    //         itemWidth: 10,
    //         itemHeight: 10,
    //         // textStyle: {
    //         //     color: "rgba(255,255,255,.5)"
    //         // },
    //     },
    //
    //     tooltip: {
    //         trigger: 'axis',
    //         axisPointer: {
    //             lineStyle: {
    //                 color: '#dddc6b'
    //             }
    //         }
    //     },
    //     grid: {
    //         left: '0',
    //         top: '30',
    //         right: '0',
    //         bottom: '-15',
    //         containLabel: true
    //     },
    //
    //     dataset: [
    //         {
    //             dimensions: ['name', 'Device', "Warning"],
    //             // source: [
    //             //     ['11111111', 41],
    //             //     ['22222222', 241],
    //             //     ['333333333', 341],
    //             //     ['4444444444', 141],
    //             //     ['555555555', 421],
    //             //     ['666666666', 141],
    //             //     ['77777777', 241],
    //             //     ['8888888888', 411],
    //             //     ['9999999', 421],
    //             //     ['123123123', 414],
    //             //     ['456456456', 431],
    //             //
    //             // ]
    //             source: Company_Next_W_l,
    //         },
    //         {
    //             transform: {
    //                 type: 'sort',
    //                 config: {dimension: 'Warning', order: 'desc'}
    //             }
    //         }
    //     ],
    //     xAxis: {
    //         type: 'category',
    //         axisLabel: {interval: 0, rotate: 30},
    //         max: 6 // only the largest 3 bars will be displayed
    //     },
    //     yAxis: {},
    //     series: {
    //         type: 'bar',
    //         encode: {x: 'name', y: 'Warning'},
    //         datasetIndex: 1
    //     }
    // };

    myChart.setOption(option);
    window.addEventListener("resize", function () {
        myChart.resize();
    });
    $(".sebtn a").click(function () {
        $(this).addClass("active").siblings().removeClass("active")
    })
    $(".sebtn a").eq(0).click(function () {
        myChart.setOption(option1);
    })
    $(".sebtn a").eq(1).click(function () {
        myChart.setOption(option2);
    })
    $(".sebtn a").eq(2).click(function () {
        myChart.setOption(option3);
    })

}

// 移动端任务曲线图
function echarts_移动端任务曲线图() {
    var myChart = echarts.init(document.getElementById('echarts_移动端任务曲线图'));
    xAxis_data = []
    yAxis_data = []
    for (var C_key in C_json.Task.T_任务总数_近7天) {
        xAxis_data.push(C_key)
        yAxis_data.push(C_json.Task.T_任务总数_近7天[C_key])
    }

    option = {
        // legend: {
        //     icon:"circle",
        //     top: "0",
        //     width:'100%',
        //     right: 'center',
        //     itemWidth: 10,
        //     itemHeight: 10,
        //     textStyle: {
        //         color: "rgba(255,255,255,.5)" },
        // },

        tooltip: {
            trigger: 'axis',
            axisPointer: {
                lineStyle: {
                    color: '#dddc6b'
                }
            }
        },
        grid: {
            left: '0',
            top: '5',
            right: '17',
            bottom: '0',
            containLabel: true
        },

        xAxis: [{
            type: 'category',
            boundaryGap: false,
            axisLabel: {
                textStyle: {
                    color: "rgba(255,255,255,.5)",
                    //  fontSize:10
                },
            },
            axisLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)'
                }
            },
            data: xAxis_data // ['周一', '周二', '周三', '周四', '周五', '周六', '周日']

        }, {

            axisPointer: {show: false},
            axisLine: {show: false},
            position: 'bottom',
            offset: 20,


        }],

        yAxis: [{
            type: 'value',
            axisTick: {show: false},
            splitNumber: 4,
            axisLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)'
                }
            },
            axisLabel: {
                textStyle: {
                    color: "rgba(255,255,255,.5)",
                    //fontSize:10
                },
            },

            splitLine: {
                lineStyle: {
                    color: 'rgba(255,255,255,.1)',
                    type: 'dotted',
                }
            }
        }],
        series: [
            {
                // radius: ['40%', '70%'],
                // center: ['50%', '74%'],
                name: '任务次数',
                type: 'line',
                smooth: true,
                symbol: 'circle',
                symbolSize: 5,
                showSymbol: false,
                containLabel: true,
                lineStyle: {
                    normal: {
                        color: 'rgba(31, 174, 234, 1)',
                        width: 2
                    }
                },
                areaStyle: {
                    normal: {
                        color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                            offset: 0,
                            color: 'rgba(31, 174, 234, 0.4)'
                        }, {
                            offset: 0.8,
                            color: 'rgba(31, 174, 234, 0.1)'
                        }], false),
                        shadowColor: 'rgba(0, 0, 0, 0.1)',
                    }
                },
                itemStyle: {
                    normal: {
                        color: '#1f7eea',
                        borderColor: 'rgba(31, 174, 234, .1)',
                        borderWidth: 5
                    }
                },
                data: yAxis_data // [3, 6, 3, 6, 3, 9, 3]
            },
        ]

    };


    myChart.setOption(option);
    window.addEventListener("resize", function () {
        myChart.resize();
    });
    $(".sebtn a").click(function () {
        $(this).addClass("active").siblings().removeClass("active")
    })
    $(".sebtn a").eq(0).click(function () {
        myChart.setOption(option1);
    })
    $(".sebtn a").eq(1).click(function () {
        myChart.setOption(option2);
    })
    $(".sebtn a").eq(2).click(function () {
        myChart.setOption(option3);
    })

}

// 库房端报警类型统计
function echarts_库房端报警类型统计() {
    var myChart = echarts.init(document.getElementById('echarts_库房端报警类型统计'));
    data = []
    data_num = 0
    for (var C_key in C_json.Warning.T_库房报警类型统计) {
        data_num += C_json.Warning.T_库房报警类型统计[C_key]
        data.push({value: C_json.Warning.T_库房报警类型统计[C_key], name: C_key})
    }
    data.push({
        // make an record to fill the bottom 50%
        value: data_num,
        itemStyle: {
            // stop the chart from rendering this piece
            color: 'none',
            decal: {
                symbol: 'none'
            }
        },
        label: {
            show: false
        }
    })


    option = {
        tooltip: {
            trigger: 'item'
        },
        // legend: {
        //     top: '5%',
        //     left: 'center',
        //     // doesn't perfectly work with our tricks, disable it
        //     selectedMode: false
        // },

        color: ['#45C2E0', '#C1EBDD', '#c0a9fa', '#75bef3', '#FF9393', '#e9aaff', '#ffc1a7'],
        series: [
            {
                name: '报警类型',
                type: 'pie',
                radius: ['40%', '70%'],
                center: ['50%', '74%'],
                // adjust the start angle
                startAngle: 180,
                label: {
                    color: "#C1EBDD",
                    show: true,
                    formatter(param) {
                        // correct the percentage
                        return param.name + ' (' + param.percent * 2 + '%)';
                    }
                },
                data: data
            }
        ]
    };

    myChart.setOption(option);
    window.addEventListener("resize", function () {
        myChart.resize();
    });
    $(".sebtn a").click(function () {
        $(this).addClass("active").siblings().removeClass("active")
    })
    $(".sebtn a").eq(0).click(function () {
        myChart.setOption(option1);
    })
    $(".sebtn a").eq(1).click(function () {
        myChart.setOption(option2);
    })
    $(".sebtn a").eq(2).click(function () {
        myChart.setOption(option3);
    })

}



